package com.thebrokenrail.energonrelics.block.entity;

import com.thebrokenrail.energonrelics.EnergonRelics;
import com.thebrokenrail.energonrelics.config.HardcodedConfig;
import com.thebrokenrail.energonrelics.block.EnergonLightBlock;
import com.thebrokenrail.energonrelics.energy.core.EnergyReceiverBlockEntity;
import com.thebrokenrail.energonrelics.energy.core.util.Action;
import net.minecraft.block.entity.BlockEntityType;
import net.minecraft.util.Identifier;

public class EnergonLightBlockEntity extends EnergyReceiverBlockEntity {
    public EnergonLightBlockEntity(BlockEntityType<?> type) {
        super(type);
    }

    @Override
    protected void tickEnergy() {
        addAction(Action.createBlockStatePropertyAction(HardcodedConfig.ENERGON_LIGHT_ENERGY_REQUIRED, EnergonLightBlock.POWERED, true, false, new Identifier(EnergonRelics.NAMESPACE, "energon_light")));
    }
}
